komanek
Enthusiast
Enthusiast

vCenter 6.0u3h - client integration plugin installation failed

Jump to solution

Hello,

after upgrade of vCenter from 6.0u3d to 6.0u3h (Windows 2012 R2 server), the old client integration plugin no longer works. So I downloaded a new installation file from the web client authentication page, but the installation fails with error:

There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor.

The installer is now divided into two components, run in a sequence: an actual client integration plugin installer (which seems to be installed successfully) and VMware Plug-in Service installer (producing the error). I found a similar problem description regarding an older version of the client ( VMware Client Integration Plugin 6.0 install failed - solution  ), but the workarounds mentioned there did'n help in my case.

Without the integration plugin I am not able to transfer files from and to NFS shares, so it's quite urgent.

Thanks in advance,

David

1 Solution

Accepted Solutions
komanek
Enthusiast
Enthusiast

That all I already read on the web, tried, but no success. I tried it again now on the second server, no luck.

Here is what I found in windows event viewer:

Product: VMware Plug-in Service -- Error 1722. There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor.  Action CipCertInstall, location: C:\Program Files (x86)\VMware\Plug-in Service\vmware-cip-init.exe, command: --install

So I tried it manually before I clicked on the error dialog (after that the files would be deleted by the installation procedure) and it complained about missing dll. So I isolated the unzipped installation directory from %TEMP% and found a vcredist_x86.exe file there. Ran it manually, re-ran the setup of the service afterwards (VMware-ClientIntegrationService-8298400.msi) .... and voila, it has been completed successfully.

In Firefox 52 ESR it is now all working again, so this is the solution for me. I wonder if I finally can upgrade Firefox to current version or still need the old ESR ....

thanks for your time

View solution in original post

5 Replies
SupreetK
Commander
Commander

Try the below steps before starting the installation -

1) From the location <C:\Windows\System32\drivers\etc>, delete all the hosts.* files (such as hosts.bak, hosts.old, etc.)

2) Un-check the Read-only attributes for the folder <C:\Windows\System32\drivers\etc>

pastedImage_0.png

3) Disable any Antivirus, Windows Defender, etc.

0 Kudos
komanek
Enthusiast
Enthusiast

That all I already read on the web, tried, but no success. I tried it again now on the second server, no luck.

Here is what I found in windows event viewer:

Product: VMware Plug-in Service -- Error 1722. There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor.  Action CipCertInstall, location: C:\Program Files (x86)\VMware\Plug-in Service\vmware-cip-init.exe, command: --install

So I tried it manually before I clicked on the error dialog (after that the files would be deleted by the installation procedure) and it complained about missing dll. So I isolated the unzipped installation directory from %TEMP% and found a vcredist_x86.exe file there. Ran it manually, re-ran the setup of the service afterwards (VMware-ClientIntegrationService-8298400.msi) .... and voila, it has been completed successfully.

In Firefox 52 ESR it is now all working again, so this is the solution for me. I wonder if I finally can upgrade Firefox to current version or still need the old ESR ....

thanks for your time

NJKwork
Enthusiast
Enthusiast

Thank you - I had the same problem.  I tried removing the hosts.bak file that was on the system and that did not work.  I then tried your solution of locating the C++ 2013 redistributable from the temp directory, manually ran that, and then re-ran the client integration plugin installer.  Then it finished properly.

Crazy stuff we have to do to get things to work...

Thanks

NK

0 Kudos
komanek
Enthusiast
Enthusiast

Yeah, the code quality is poor, unfortunately. For example. now I am stuck on vCenter 6.0 as I upgraded to u3h, which is impossible to upgrade to 6.5/6.7. Hopefully not forever .... crazy stuff, as you said ....

0 Kudos
Tbonez
Contributor
Contributor

After working through several of the Forums and Posts about the VMware Client Integration Plugin 6.0 install failed.

Tried this on Several Different Operating systems.

Copied the %TEMP% and attempted to manually install as administrator.

When running this within a Server Based Operating System of 2008R2 to 2019 (Without User Desktop Experience Installed) It will fail every time.

Server 2012 R2 Added Role-Feature for User Desktop Experience

From Powershell

get-windowsfeature -name *desktop-experience*

Should get install state = Installed

if the install-state is available can run the

install-windowsfeature -name *desktop-experience*

After the Windows Desktop Experience is installed

continue to the Copy of the vcredist_x86 install to complete the prerequisites for the VMware Client Integration Plugin

After the vcredist_x86 is completed you can continue to install the VMware Client Integration Plugin from the attached ISO for the VMware-VCSA-all-6.0.0-14518058.iso

Installation will continue through the Client Integration plugin and Client integration plugin-service and should install correctly.

0 Kudos